cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/approvals/reject" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Missing billing details."
}
}'from exsited import build_client
client = build_client()
response = client.approvals.reject_approval(
{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Missing billing details.",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvals.rejectApproval({
approval: {entity: 'account', resource_id: 'ACC0001', note: 'Missing billing details.'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvals->rejectApproval([
'approval' => [
'entity' => 'account',
'resource_id' => 'ACC0001',
'note' => 'Missing billing details.',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvals().rejectApproval(
Map.of(
"approval", Map.of(
"entity", "account",
"resource_id", "ACC0001",
"note", "Missing billing details.")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Approvals.RejectApprovalAsync(new Dictionary<string, object?>
{
["approval"] = new Dictionary<string, object?>
{
["entity"] = "account",
["resource_id"] = "ACC0001",
["note"] = "Missing billing details.",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvals.rejectApproval({
'approval': {
'entity': 'account',
'resource_id': 'ACC0001',
'note': 'Missing billing details.',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Approvals().RejectApproval(context.Background(), map[string]any{
"approval": map[string]any{
"entity": "account",
"resource_id": "ACC0001",
"note": "Missing billing details.",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Approvals
Reject a pending approval
Rejects a pending approval.
POST
/
approvals
/
reject
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/approvals/reject" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Missing billing details."
}
}'from exsited import build_client
client = build_client()
response = client.approvals.reject_approval(
{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Missing billing details.",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvals.rejectApproval({
approval: {entity: 'account', resource_id: 'ACC0001', note: 'Missing billing details.'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvals->rejectApproval([
'approval' => [
'entity' => 'account',
'resource_id' => 'ACC0001',
'note' => 'Missing billing details.',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvals().rejectApproval(
Map.of(
"approval", Map.of(
"entity", "account",
"resource_id", "ACC0001",
"note", "Missing billing details.")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Approvals.RejectApprovalAsync(new Dictionary<string, object?>
{
["approval"] = new Dictionary<string, object?>
{
["entity"] = "account",
["resource_id"] = "ACC0001",
["note"] = "Missing billing details.",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvals.rejectApproval({
'approval': {
'entity': 'account',
'resource_id': 'ACC0001',
'note': 'Missing billing details.',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Approvals().RejectApproval(context.Background(), map[string]any{
"approval": map[string]any{
"entity": "account",
"resource_id": "ACC0001",
"note": "Missing billing details.",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the same body as an approve:
entity, resource_id and note, wrapped in approval. One route serves every entity, and notifications go out straight away.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.